Rated 5 out of 5 stars

For those with Firefox 5.0, a compatible version 0.9.0.6 is here: http://users.skynet.be/mgueury/mozilla/new_upgrade4.html

Seems to work fine so far. Thanks for the update!

This review is for a previous version of the add-on (0.9.0.4).